function alignPhase(Obj)
% DG1022: Align phases of both channels
%
%  alignPhase(Obj)
%
% Usually, having both instrument channels at the same frequency and the
% same phase does not mean both channels are aligned (due to the fact that
% they might have run on a different frequency before). With "alignPhase",
% the Phase of both channels is aligned.
%
% 15.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.


Visa = hlp_getVisa(Obj);



% Send command to instrument
fprintf(Visa,'PHAS:ALIGN');
