function copyData(Obj,waveformname)
% DG1022: Copy waveform data from VOLATILE memory to NVOL
%
% copyData(Obj,waveformname)
%
% 8.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.



Visa = hlp_getVisa(Obj);

% Operation will be hard enough, so let's ensure that there is no error
% pending
clrdevice(Visa);
E = getError(Obj);
if ~(numel(E)==1)
    disp(E)
    error('Instrument Error')
end

% Check if desired waveform name is already present available in instrument
Available = getCatalog(Obj,'nvol');
if any(strcmpi(Available,waveformname))
    error('Waveform name ''%s'' is already used',...
        waveformname);
end


% Check if valid variable name
if ~DG1022.hlp_isvalidwaveformname(waveformname)
    error('invalid waveform name ''%s'' ',waveformname);
end

% Perform action
str = sprintf('DATA:COPY %s',waveformname);
fprintf(Visa,str);

pause(1);

