function deleteData(Obj,waveformname)
% DG1022: Delete waveform data
%
% deleteData(Obj,waveformname)
%
% 8.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.



Visa = hlp_getVisa(Obj);

% Operation will be hard enough, so let's ensure that there is no error
% pending
clrdevice(Visa);
E = getError(Obj);
if ~(numel(E)==1)
    disp(E)
    error('Instrument Error')
end

% Check if desired waveform name is available in instrument
Available = getCatalog(Obj,'nvol');
if ~any(strcmpi(Available,waveformname))
    error('Waveform with name ''%s'' is not available in instrument memory',...
        waveformname);
end

% Perform action
str = sprintf('DATA:DEL %s',waveformname);
fprintf(Visa,str);

pause(2);

% Check if waveform is really deleted
StillAvailable = getCatalog(Obj,'nvol');
if any(strcmpi(StillAvailable,waveformname))
    error('Could delete waveform with name ''%s'' ',...
        waveformname);
end

