function out = getOutput(obj,chNo)
% DG1022: Get output state of the Instrument ('on' or 'off')
%
% out = getOutput(obj,chNo)
%
% obj: Instrument/Visa object
% chNo: Channel no (1 or 2)
%
% 8.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.


Visa = hlp_getVisa(obj);


% Get suffix string for scpi command string
% For channel 1, no suffix is allowed,
% for channel 2, suffix is ':CH2'
switch(chNo)
    case 1
        suffix = '';
    case 2
        suffix = ':CH2';
    otherwise
        error('invalid channelNo');
end

% Send command to instrument
qstr = sprintf('OUTP%s?',suffix);
fprintf(Visa,qstr);
pause(0.03);
str = fgets(Visa);

% Beautify output
switch deblank(str)
    case 'ON'
        out = 'on';
    case 'OFF'
        out = 'off';
    otherwise
        error('Parameter not allowed');
end