function out =  getPhase(Obj,chNo)
% DG1022: Get phase of channel (in degree!)
%
% out =  getPhase(Obj,chNo)
%
% 15.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.


Visa = hlp_getVisa(Obj);

% Operation will be hard enough, so let's ensure that there is no error
% pending
clrdevice(Visa);
E = getError(Obj);
if ~(numel(E)==1)
    disp(E)
    error('Instrument Error')
end


%% Interprete channel choice
% Get chSuffix string for scpi command string, get chPrefix for interpretation
% of return argument for choosing the instrument's channel
% For channel 1, no chSuffix is allowed,
% for channel 2, chSuffix is ':CH2'
switch(chNo)
    case 1
        % suff
        chSuffix = '';
        chPrefix = '';
    case 2
        chSuffix = ':CH2';
        chPrefix = '';
    otherwise
        error('invalid channelNo');
end



%% Send command to instrument
qstr = sprintf('PHAS%s?',chSuffix);
fprintf(Visa,qstr);
pause(0.01);
str = fgets(Visa);


%% Interprete return value
nPre = numel(chPrefix);
if ~strcmpi(chPrefix(1:nPre),str(1:nPre))
    error('Unexpected return string: ''%s'' ',str);
end
numstr = str(nPre+1:end);
out = str2double(numstr);

