function out = getSync(obj)
% DG1022: Get sync output of the Instrument ('on' or 'off')
%
% getSync(obj)
%
% obj: Instrument/Visa object
%
% 8.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.


Visa = hlp_getVisa(obj);

fprintf(Visa,'OUTP:SYNC?');
pause(0.01);
str = deblank(fgets(Visa));

switch str
    case 'SYNC ON'
        out = 'on';
    case 'SYNC OFF'
        out = 'off';
    case ''
        error('timeout');        
    otherwise
        error('unexpected value');
end


