function isOk = hlp_checkinstallation()
% Check if Matlab installation contains everything being necessary for
% using the DG1022 class
%
% 8.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

    
isOk = false;

%% check if instrument control toolbox is present
v = ver;
if ~any(strcmp('Instrument Control Toolbox',{v.Name}));
    % Interface will be created on connect
    % here, just a placeholder is added
    
        warning(['no Matlab instrument control toolbox ' ...
        'this will not connect to any instrument']);
    return;
end

%% assert that National Instruments Visa drivers are available
VisaInf = instrhwinfo('visa');
assert(any(strcmpi(VisaInf.InstalledAdaptors,'ni')),...
    ' ''ni'' visa adaptor must be installed');


isOk = true;