function isvalid = hlp_isvalidwaveformname(waveformname)
% DG1022 helper function: check if waveform name is valid to be stored in 
% instrument
%
% isvalid = hlp_isvalidwaveformname(waveformname)
% 
% 09.11.2014 Nicolas

%% Settings
% I don't really know the maximum variable lenght, but I've found
% no waveform with longer name
nCharVarnamMax = 12;
Config = DG1022.instrumentProperties;



%% Check waveform name
isvalid = false;

% It is assumed that the rules for waveform names are same as for Matlab-
% or C-function
if ~isvarname(waveformname)
    return;
end

% waveform names should be shorter than limit
if numel(waveformname)>nCharVarnamMax;
    return;
end

% Variable names which are standard waveform names of instrument are
% forbiden 
Forbidden = [Config.BuiltinWaveforms(:); Config.ValidWaveforms(:)];
if any(strcmpi(waveformname,Forbidden))
    return;
end

isvalid = true;