function fn = normalizewaveform(f)
% Scale Waveform data to fit into DAC data format
%
% fn = scalewaveform(f);
%
% 1.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

%% Settings
dacMax = 16383;
dacMin = 0;
epsilon = 2^-10;

%% Scale
assert(isnumeric(f),'Input must be numerical value');

fmax = max(f);
fmin = min(f);

if (fmax-fmin) < epsilon*max(abs(fmax),abs(fmin))
    warning('all function values have been scaled to zero');
    out = 0*f;
else
    a = (dacMax-dacMin)/(fmax-fmin);
    b = (dacMin*fmax-dacMax*fmin)/(fmax-fmin);
    fn = a*f+b;
    fn = round(fn);
    assert(all(fn>=dacMin)&&all(fn<=dacMax),...
        'values out of bound');
end


