function [varargout] = query(obj,varargin)
% DG1022: Replace the builtin "query" command
%
% 8.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.
% This implementation relies on a roughly estimated pause time. Other
% command implement their pause time individually.
% Not all functionality of the original "query"-command is implemented
% yet. Thes can be added when appropriate.

Visa = hlp_getVisa(obj);

if nargin > 2
    error(['extra arguments have been ignored' ...
        'feel free to add the desired functionality']);
end
if nargout > 1
    error(['no multiple output arguments supported' ...
        'feel free to add the desired functionality']);
end

querystring = varargin{1};
assert(ischar(querystring),'Input must be char array');

fprintf(Visa,querystring);
pause(0.01);
varargout{1} = fgets(Visa);

   