function renameData(Obj,oldname,newname)
% DG1022: Set lock state of the Instrument (lock, remote or local)
%
% 8.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.


Visa = hlp_getVisa(Obj);

% Operation will be hard enough, so let's ensure that there is no error
% pending
clrdevice(Visa);
E = getError(Obj);
if ~(numel(E)==1)
    disp(E)
    error('Instrument Error')
end

% Check if desired waveform name is available in instrument
Available = getCatalog(Obj,'nvol');
if ~any(strcmpi(Available,oldname))
    error('Waveform with name ''%s'' is not available in instrument memory',...
        oldname);
end

% Check if new name is valid name for instrument
if ~DG1022.hlp_isvalidwaveformname(waveformname)
    error('Invalid new waveform name: ''%s'' ',newname);
end

% Perform action
str = sprintf('DATA:RENAME %s,%s',oldname,newname);
fprintf(Visa,str);
