function setLock(obj,inp)
% DG1022: Set lock state of the Instrument (lock, remote or local)
%
% 8.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.


Visa = hlp_getVisa(obj);

switch inp
    case 'lock'
        % Activate remote state with locking function, lock the
        % keyboard (including "local" button) and display
        % R-lock-indicator in display
        fprintf(Visa,'SYST:RWL');
    case 'remote'
        % Activate remote state, lock the keyboard (excluding "local"
        % button) and display "RMT" in display
        obj.fprintf(Visa,'SYST:REM');
    case {'local','off'}
        % Activate local state, delete RMT indicator and unlock the
        % front panel
        fprintf(Visa,'SYST:LOC');
    otherwise
        error('Invalid locking state');
        
end


