function setSync(obj,inp)
% DG1022: Set sync output of the Instrument ('on' or 'off')
%
% setSync(obj,'on')
% setSync(obj,'off')
%
% obj: Instrument/Visa object
%
% 8.11.2014 Nicolas (Check www.dl1dow.de for a more recent version)

% This implementation needs only a valid Visa Object. No other Visa
% commands than 'fprintf' and 'fgets' are used.


Visa = hlp_getVisa(obj);


% Send command to instrument
switch lower(inp)
    case 'on'
        fprintf(Visa,'OUTP:SYNC ON');
    case 'off'
        fprintf(Visa,'OUTP:SYNC OFF');
    otherwise
        error('Parameter not allowed');
end
